### Function

# AppStream ContentRatingValue from_string

since: 0.11.0

#### Declaration [src]

    AsContentRatingValue
    as_content_rating_value_from_string (
      const gchar* value
    )

#### Description [src]

Converts the text representation to an enumerated value.

Available since: 0.11.0

#### Parameters

`value`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsContentRatingValue`

A `AsContentRatingValue` or `AS_CONTENT_RATING_VALUE_UNKNOWN` for unknown.